﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
# define e = Character('Eileen', color="#c8ffc8")

# Backgrounds
image bg lego_bin = "lego-bin.png"
image bg room = "room.png"
image bg outside = "outside.png"
image bg logo = "logo.png"

# Sprites
image life_brick = "life brick.png"
image robot = "robot.png"
image parakeet = "parakeet.png"
image minifig = "minifig.png"
image motorcycle = "motorcycle.png"


# The game starts here.
label start:

    scene black
    "It started out like an ordinary day. You went to school, and on the way home you asked Mom if you could stop by the Lego store."
    scene bg lego_bin
    show life_brick at top with dissolve
    "While you were there, you saw something glowing in one of the bins. It was a tiny Lego you had never seen before."
    "It almost seemed alive."
    "You had enough allowance, so you decided to buy it."


    scene bg room
    show robot at top with moveinright

    "When you got home, you thought it would look good on top of your evil Lego robot."
    "It had a missile pod and a power sword."
    "But, as soon as you put the new piece on, the robot came alive!"
    show robot at top with hpunch
    "It started destroying your Legos! It shot tiny missiles at them, and chopped them with its sword!"
    show robot at top with vpunch
    menu robot_menu:
        "What do you do?"
        "Throw a shoe at it":
            "You throw your shoe at it, and the robot's arm falls off. But it's still attacking your toys!"
            show robot at top with vpunch
            jump robot_menu
        "Put a box over it":
            "You grab a cardboard box and slam it on top of the robot. But, it blows up the box with its missiles!"
            show robot at top with vpunch
            jump robot_menu
        "Tackle it and take off the new brick":
            "You tackle the robot and yank off the new brick. As soon as the brick comes off, the robot stops moving and is just ordinary legos."

    hide robot
    show life_brick at top
    "There must be something magical about the new brick! You decide to call it the 'Life Brick'."
    "You want to put it on something else."

    $ lego_object = "nothing"
    hide life_brick

    menu:
        "What do you put it on?"
        "A Lego motorcycle":
            show motorcycle at top with moveinleft
            "When you put it on the Lego motorcycle, it starts zooming around your room!"
            $ lego_object = "motorcycle"
            hide motorcycle with moveoutright
            show motorcycle at top with moveinleft
        "A Lego parakeet":
            show parakeet at top with moveinleft
            "When you put it on the Lego parakeet, it starts flying around your room!"
            $ lego_object = "parakeet"
            hide parakeet with moveoutright
            show parakeet at top with moveinleft
        "A Lego minifig":
            show minifig at top with moveinleft
            "When you put it on the Lego minifig, it starts walking around!"
            hide minifig with moveoutright
            show minifig at top with moveinleft
            $ lego_object = "minifig"

    "You hear your mom calling from downstairs. She says it's time to set the table."
    scene bg room
    "After you set the table, you come back to your room, and the [lego_object] is gone!"

    menu search_room:
        "What do you do?"
        "Search the room":
            "You search and search but it is nowhere in your room. You even looked in the trash can."
            jump search_room
        "Look outside":
            "You go out in the front yard."            
        "Ask your sister":
            "You ask your sister if she's seen anything coming out of your room, but she hasn't."
            jump search_room
        "Ask your brother":
            "You ask your brother if he saw anything come out of your room, and he said he saw something go outside."
            jump search_room

    scene bg outside
    if (lego_object == "motorcycle"):
        show motorcycle at top with moveinleft
        "The motorcycle is driving up and down the street, doing stunts on the speed bumps!"
        menu motorcycle:
            "What do you do?"
            "Catch the motorcycle in the air":
                "You wait until the motorcycle is flying off one of the speed bumps, and you catch it in mid-air. You take off the Life Brick and it stops moving."
            "Chase the motorcycle":
                hide motorcycle with moveoutright
                show motorcycle with moveinleft
                "You run after the motorcycle, but it's too fast! It zig-zags away from you."
                jump motorcycle
    elif (lego_object == "parakeet"):
        show parakeet at top with moveintop
        "The parakeet is sitting on the power lines, way up high."
        menu parakeet:
            "What do you do?"
            "Throw a paper airplane at it":
                hide parakeet with moveouttop
                show parakeet at top with moveintop
                "You throw a paper airplane at the Lego parakeet, but the parakeet just flies away and comes back."
                jump parakeet
            "Put bird seed in your hand":
                "You put some bird seed in your hand and wait patiently. After a few minutes, the bird comes down and sits on your hand. While it's eating, you take off the Life Brick, and it stops moving.."
            "Squirt it with water":
                hide parakeet with moveouttop
                show parakeet at top with moveintop
                "You squirt some water at the Lego parakeet, but it just flies away and comes back."
                jump parakeet

    elif (lego_object == "minifig"):
        show minifig at top with moveinleft
        "The minifig is playing in the street! There's a car coming!"
        menu minifig:
            "What do you do?"
            "Run into the street and get the minifig!":
                "You run into the street, but the car can't stop in time, and it runs over you. You have to go to the hospital for several weeks, and when you come back, the minifig is lost forever, along with the Life Brick."
                "The End"
                return
            "Yell at the minifig to come back!":
                "You yell for the minifig to come back, but he keeps going. The car goes over him but does not hit him. Here comes another car!"
                jump minifig
            "Wave your arms and yell for the car to stop!":
                "You wave your arms and yell at the driver, who stops right in front of the minifig. You grab it, and take off the Life Brick. It stops moving."

    scene bg room
    show life_brick at top
    "You think about what to do with the Life Brick."
    menu which_ending:
        "What do you do?"
        "Tell your parents":
            "You tell your parents all about the Life Brick, but they don't believe you. They think you are playing a game."
            "When you put it back on the [lego_object] and show them, they finally believe you. They think you should not use it."
            jump which_ending
        "Show it to your best friend":
            "You show it to your best friend, who thinks it's so awesome. He thinks you should have it be your little secret."
            "You play with it carefully every time he comes over, and have fun bringing all your creations to life..."            
        "Smash it with a hammer":
            hide life_brick with fade
            "You get out a hammer and try to smash it, but it doesn't break or bend. You decide to flush it down the toilet instead. You never see it again..."
        "Take it back to the store":
            "You take it with you next time you go to the Lego store and show the man at the counter what it does."
            "He offers to buy it from you for $1,000."
            menu:
                "Do you sell it?"
                "Yes":
                    hide life_brick
                    "He takes it from you and gives you the money. $1,000 is a lot of money..."
                "No":
                    "You decide not to sell it to him. You keep it for yourself instead."

    scene bg logo
    "The End"
    return
